/* Keyframes for css animations
 *------------------------------------------------------------*/



/*------------------------------------------------------------
 * Keyframes: Fade In
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-in {
	0%   { opacity: 0; }
	100% { opacity: 1; }
}
@keyframes hygge-fade-in {
	0%   { opacity: 0; }
	100% { opacity: 1; }
}

/*------------------------------------------------------------
 * Keyframes: Fade Out
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-out {
	0%   { opacity: 1; }
	100% { opacity: 0; }
}
@keyframes hygge-fade-out {
	0%   { opacity: 1; }
	100% { opacity: 0; }
}

/*------------------------------------------------------------
 * Keyframes: Fade In from Top Soft
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-in-top-soft {
	0%   { opacity: 0; -webkit-transform:translateY(-20px); }
	100% { opacity: 1; -webkit-transform:translateY(0); }
}
@keyframes hygge-fade-in-top-soft {
	0%   { opacity: 0; transform:translateY(-20px); }
	100% { opacity: 1; transform:translateY(0); }
}

/*------------------------------------------------------------
 * Keyframes: Fade Out from Top Soft
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-out-top-soft {
	0%   { opacity: 1; -webkit-transform:translateY(0); }
	100% { opacity: 0; -webkit-transform:translateY(20px); }
}
@keyframes hygge-fade-out-top-soft {
	0%   { opacity: 1; transform:translateY(0); }
	100% { opacity: 0; transform:translateY(20px); }
}

/*------------------------------------------------------------
 * Keyframes: Fade In from Top
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-in-top {
	0%   { opacity: 0; -webkit-transform:translateY(-50px); }
	100% { opacity: 1; -webkit-transform:translateY(0); }
}
@keyframes hygge-fade-in-top {
	0%   { opacity: 0; transform:translateY(-50px); }
	100% { opacity: 1; transform:translateY(0); }
}

/*------------------------------------------------------------
 * Keyframes: Fade Out from Top
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-out-top {
	0%   { opacity: 1; -webkit-transform:translateY(0); }
	100% { opacity: 0; -webkit-transform:translateY(50px); }
}
@keyframes hygge-fade-out-top {
	0%   { opacity: 1; transform:translateY(0); }
	100% { opacity: 0; transform:translateY(50px); }
}

/*------------------------------------------------------------
 * Keyframes: Fade In from Bottom Soft
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-in-bottom-soft {
	0%   { opacity: 0; -webkit-transform:translateY(20px); }
	100% { opacity: 1; -webkit-transform:translateY(0); }
}
@keyframes hygge-fade-in-bottom-soft {
	0%   { opacity: 0; transform:translateY(20px); }
	100% { opacity: 1; transform:translateY(0); }
}

/*------------------------------------------------------------
 * Keyframes: Fade Out from Bottom Soft
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-out-bottom-soft {
	0%   { opacity: 1; -webkit-transform:translateY(0); }
	100% { opacity: 0; -webkit-transform:translateY(-20px); }
}
@keyframes hygge-fade-out-bottom-soft {
	0%   { opacity: 1; transform:translateY(0); }
	100% { opacity: 0; transform:translateY(-20px); }
}

/*------------------------------------------------------------
 * Keyframes: Fade In from Bottom
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-in-bottom {
	0%   { opacity: 0; -webkit-transform:translateY(50px); }
	100% { opacity: 1; -webkit-transform:translateY(0); }
}
@keyframes hygge-fade-in-bottom {
	0%   { opacity: 0; transform:translateY(50px); }
	100% { opacity: 1; transform:translateY(0); }
}

/*------------------------------------------------------------
 * Keyframes: Fade Out from Bottom
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-out-bottom {
	0%   { opacity: 1; -webkit-transform:translateY(0); }
	100% { opacity: 0; -webkit-transform:translateY(-50px); }
}
@keyframes hygge-fade-out-bottom {
	0%   { opacity: 1; transform:translateY(0); }
	100% { opacity: 0; transform:translateY(-50px); }
}

/*------------------------------------------------------------
 * Keyframes: Fade In from Left Soft
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-fade-in-left-soft {
	0%   { opacity: 0; -webkit-transform:translateX(-20px); }
	100% { opacity: 1; -webkit-transform:translateX(0); }
}
@keyframes hygge-fade-in-left-soft {
	0%   { opacity: 0; transform:translateX(-20px); }
	100% { opacity: 1; transform:translateX(0); }
}

/*---------------------------------------------------
 * Keyframes: Slide In from Left
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-slide-in-left {
	0%   { -webkit-transform: translateX(-100%); }
	100% { -webkit-transform: translateX(0%); }
}
@keyframes hygge-slide-in-left {
	0%   { transform: translateX(-100%); }
	100% { transform: translateX(0%); }
}

/*------------------------------------------------------------
 * Keyframes: Slide Out from Left
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-slide-out-left {
	0%   { -webkit-transform: translateX(0%); }
	100% { -webkit-transform: translateX(100%); }
}
@keyframes hygge-slide-out-left {
	0%   { transform: translateX(0%); }
	100% { transform: translateX(100%); }
}

/*------------------------------------------------------------
 * Keyframes: Slide In from Left Partial
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-slide-in-left-partial {
	0%   { -webkit-transform: translateX(-50%); }
	100% { -webkit-transform: translateX(0%); }
}
@keyframes hygge-slide-in-left-partial {
	0%   { transform: translateX(-50%); }
	100% { transform: translateX(0%); }
}

/*------------------------------------------------------------
 * Keyframes: Slide Out from Left Partial
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-slide-out-left-partial {
	0%   { -webkit-transform: translateX(0%); }
	100% { -webkit-transform: translateX(30%); }
}
@keyframes hygge-slide-out-left-partial {
	0%   { transform: translateX(0%); }
	100% { transform: translateX(30%); }
}

/*------------------------------------------------------------
 * Keyframes: Slide In from Right
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-slide-in-right {
	0%   { -webkit-transform: translateX(100%); }
	100% { -webkit-transform: translateX(0%); }
}
@keyframes hygge-slide-in-right {
	0%   { transform: translateX(100%); }
	100% { transform: translateX(0%); }
}

/*------------------------------------------------------------
 * Keyframes: Slide Out from Right
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-slide-out-right {
	0%   { -webkit-transform: translateX(0%); }
	100% { -webkit-transform: translateX(-100%); }
}
@keyframes hygge-slide-out-right {
	0%   { transform: translateX(0%); }
	100% { transform: translateX(-100%); }
}

/*------------------------------------------------------------
 * Keyframes: Slide In from Right Partial
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-slide-in-right-partial {
	0%   { -webkit-transform: translateX(50%); }
	100% { -webkit-transform: translateX(0%); }
}
@keyframes hygge-slide-in-right-partial {
	0%   { transform: translateX(50%); }
	100% { transform: translateX(0%); }
}

/*------------------------------------------------------------
 * Keyframes: Slide Out from Right Partial
 *------------------------------------------------------------*/

@-webkit-keyframes hygge-slide-out-right-partial {
	0%   { -webkit-transform: translateX(0%); }
	100% { -webkit-transform: translateX(-30%); }
}
@keyframes hygge-slide-out-right-partial {
	0%   { transform: translateX(0%); }
	100% { transform: translateX(-30%); }
}
